Search documentation of bb

# BB.JointSupervisor (bb v0.17.0)

Copy Markdown View Source

Supervisor for a joint and its child link.

Supervises:

- Joint sensors
- Joint actuators
- Child link supervisor (if joint has a child link)

## Summary

### Functions

start_link(arg)

Starts the joint supervisor.

## Functions

# start_link(arg)

    @spec start_link({module(), BB.Dsl.Joint.t(), [atom()], Keyword.t()}) ::
      Supervisor.on_start()

Starts the joint supervisor.

## Arguments

- `robot_module` - The robot module (e.g., `MyRobot`)
- `joint` - The `BB.Dsl.Joint` struct
- `path` - The path to this joint (e.g., `[:base_link]`)
- `opts` - Options passed through to child processes